+++
title = "A little bit about me..."

layoutBackgroundHeaderSpace = false

sharingLinks = false
showAuthor = false
showDate = false
showEdit = false
showPagination = false
showReadingTime = false
showTaxonomies = false
showZenMode = false
+++

I'm a guy passionate about IT, 3D printing, drones, and many other tech-related
things.

I haven't published any interesting projects yet, though I hope to entertain
you with [my blog](/it/posts) and with the things I occasionally publish on my
[Git server](https://git.nicolabelluti.me/).

In the future I intend to deploy several services over some free VPS, like
Monero and Tor nodes and various privacy-oriented frontends for social media,
like [Austin Huang](https://austinhuang.me/) does with <https://bus-hit.me/>.

### My setup

My laptop is a second-hand Lenovo Thinkpad T480s with unlocked BIOS and [Arch
Linux](https://archlinux.org/) (btw), though I'm considering switching to
[NixOS](https://nixos.org/). My phone is a Google Pixel 6 Pro with [Graphene
OS](https://grapheneos.org/).

Yes, all my devices run on custom ROMs; Stock firmwares are *boooooring*.

*Almost* all the servers I use are mine, except for some VPSes here and there.

### Links

If you'd like to browse through my favorite places on the web, you can look
through my [bookmarks](/links).

### People I admire

I suggest you to check those people's websites:

* [fasterthanlime](https://fasterthanli.me/)
* [Austin Huang](https://austinhuang.me/)
* [ThePrimeagen](https://youtube.com/ThePrimeagen/) (YouTube link)
* [Ben Eater](https://eater.net/)
* [CGP Grey](https://www.cgpgrey.com/)

### Projects I like

Here are some projects you might also like. Maybe there will be an article
about some of them in the future...

* [Neovim](https://neovim.io/)
* [Rust](https://rust-lang.org/)
* [Meshtastic](https://meshtastic.org/) and LoRa in general
* IPv6
* [Ventoy](https://ventoy.net/)

I still have to dig into these ones, but they seem promising:

* [NixOS](https://nixos.org/)
* [Go](https://go.dev/) (lang)
* [Gleam](https://gleam.run/) (lang)
* [Usenet](https://en.wikipedia.org/wiki/Usenet)

## How to contact me

* Email: [nicolabelluti@protonmail.com](mailto:nicolabelluti@protonmail.com)
* Telegram: [@nicolabelluti](https://t.me/nicolabelluti)

Expect to see some open platforms like [Matrix](https://matrix.org) in the
future!

## About this website...

No Google, no trackers, no cookies...

* The website is entirely composed of static pages. It was created with
  [Hugo](https://gohugo.io/) and the [Blowfish](https://blowfish.page/) theme.
  I even made [a guide](/posts/2024/04/hello-world/) on how I've create all of
  this.

* The source code is on my [Git
  server](https://git.nicolabelluti.me/nicolabelluti/blog) under the [GNU AGPLv3.0
  license](https://git.nicolabelluti.me/nicolabelluti/blog/src/branch/main/LICENSE);

* The domain is registered with [Cloudflare](https://cloudflare.com/) and is
  published thanks to [Pages](https://pages.cloudflare.com/), though I'm
  considering moving the site to my own servers and the domain to another
  provider.

